package kr.co.zumo.app.lifeplus.view.dialog;

import org.junit.Assert;
import org.junit.Test;

import java.lang.reflect.Field;
import java.util.LinkedHashMap;

/**
 * DialogIDTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 13.]   [최초 작성]
 * @since 2018. 9. 13.
 */
public class DialogIDTest {

  @Test
  public void verify() {
    //
    // 값이 중복되는 상수가 있는지 확인한다.
    // 있다면 하나의 상수명이 Actual 에 표시된다.
    //

    // for class test coverage
    DialogID dialogID = new DialogID();

    LinkedHashMap<Integer, String> map = new LinkedHashMap<>();
    Field[] fields = DialogID.class.getDeclaredFields();
    Class<DialogID> types = DialogID.class;

    for (Field field : fields) {
      try {
        field.setAccessible(true);
        if (null != field && null != types) {
          int value = (int) field.get(types);
          String name = field.getName();
          if (null == map.get(value)) {
            map.put(value, name);
          }
          else {
            Assert.assertEquals("", name);
          }
        }
      } catch (Exception e) {
        e.printStackTrace();
      }
    }
  }
}